For the complete documentation index, see llms.txt. This page is also available as Markdown.

Gateway IPs

List

get

Retrieve Criteria Gateway IP List of a session server with the specified ID.

Path parameters
idinteger · int32Required

The ID of a session server for which to retrieve the Criteria settings.

Responses
200

Success

application/json; api-version=1.0

Gateway criteria entry

gatewayIPstring · nullableOptional

The gateway IP.

get/api/LogonHours/{id}/Criteria/GatewayIPs
GET /api/LogonHours/{id}/Criteria/GatewayIPs HTTP/1.1
Accept: */*
[
  {
    "gatewayIP": "text"
  }
]

Add

post

Add a gateway IP to the Gateway IP List of the Criteria settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the Criteria settings.

Body

Add a gateway IP to the Criteria Gateways list

ipstring · min: 1 · max: 255 · nullableOptional

The IP of the gateway to add to the Criteria.

gatewayIdinteger · int32 · nullableOptional

The ID of the gateway to add to the Criteria.

Responses
201

Created

No content

post/api/LogonHours/{id}/Criteria/GatewayIPs
POST /api/LogonHours/{id}/Criteria/GatewayIPs HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 27

{
  "ip": "text",
  "gatewayId": 1
}

No content

Remove

delete

Remove a gateway IP from the Gateway IP List of the Criteria settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the Criteria settings.

Body

Remove a gateway IP from the Criteria Gateways list

ipstring · min: 1 · max: 255 · nullableRequired

The IP of the gateway to remove from the Criteria.

Responses
204

No Content

No content

delete/api/LogonHours/{id}/Criteria/GatewayIPs
DELETE /api/LogonHours/{id}/Criteria/GatewayIPs HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 13

{
  "ip": "text"
}

No content